/**
 * @typedef {import('../types').RouterMode} RouterMode
 */

/**
 * @typedef {import('../types').RouteMeta} RouteMeta
 */

/**
 * @typedef {import('../types').RawLocation} RawLocation
 */

/**
 * @typedef {import('../types').RedirectOption} RedirectOption
 */

/**
 * @typedef {import('../types').RouterOptions} RouterOptions
 */

/**
 * @typedef {import('../types').RouteConfig} RouteConfig
 */

/**
 * @typedef {import('../types').RouteRecord} RouteRecord
 */

/**
 * @typedef {import('../types').RouteRecordPublic} RouteRecordPublic
 */

/**
 * @typedef {import('../types').Location} Location
 */

/**
 * @typedef {import('../types').Route} Route
 */

/**
 * @typedef {import('../types').NavigationGuard} NavigationGuard
 */

/**
 * @typedef {import('../types').NavigationGuardNext} NavigationGuardNext
 */

/**
 * @typedef {import('../types').NavigationFailure} NavigationFailure
 */

// ---------------------------------------------------------------------------

/**
 * @typedef {import('../types').RouterView} RouterView
 */

/**
 * @typedef {import('../types').RouterLink} RouterLink
 */

/**
 * @typedef {import('../types').START_LOCATION} START_LOCATION
 */

/**
 * @typedef {import('../types').NavigationFailureType} NavigationFailureType
 */

/**
 * @typedef {import('../types').isNavigationFailure} isNavigationFailure
 */

/**
 * @typedef {import('../types').VueRouter} VueRouter
 */

/**
 * @typedef {import('../types').VueRouter} Router
 */

// ---------------------------------------------------------------------------

/**
 * @typedef {import('../types').Matcher} Matcher
 */

// ---------------------------------------------------------------------------

/**
 * @typedef {import('../types/router.d.ts').PathToRegexpOptions} PathToRegexpOptions
 */
