/**
 * @param {any} condition
 * @param {string} message
 */
export function assert(condition, message) {
  if (!condition) {
    throw new Error(`[vue-router] ${message}`);
  }
}

/**
 * @param {any} condition
 * @param {string} message
 */
export function warn(condition, message) {
  if (!condition) {
    typeof console !== 'undefined' && console.warn(`[vue-router] ${message}`);
  }
}
