# qiankun-vue2-router

> This is qiankun-vue2-router 1.0 which works only with Vue 2.0.
> qiankun-vue2-router borrow codes from vue-router@3.6.5
> qiankun-vue2-router does not support vue router composable api

qiankun-vue2-router is part of the Vue and Qiankunjs(乾坤) Ecosystem and is an MIT-licensed open source project.

### Features

- lang flow is replaced by plain javascript
- jsdoc is used for type tips
- better to debug the source codes
- compitable to qiankun-vue2-alive, qiankun-vue2-admin ...

---

### Document - please ref Vue Router doc below

Get started with the [documentation](http://v3.router.vuejs.org), or play with the [examples](https://github.com/vuejs/qiankun-vue2-router/tree/dev/examples) (see how to run them below).

### Development Setup

```bash
# install deps
yarn

# build dist files
yarn build

# serve examples at localhost:8080
yarn dev

# lint & run all tests
yarn test

# serve docs at localhost:8080
yarn docs
```

## Releasing

- `yarn run release`
  - Ensure tests are passing `yarn run test`
  - Build dist files `VERSION=<the_version> yarn run build`
  - Build changelog `yarn run changelog`
  - Commit dist files `git add dist CHANGELOG.md && git commit -m "[build $VERSION]"`
  - Publish a new version `npm version $VERSION --message "[release] $VERSION"
  - Push tags `git push origin refs/tags/v$VERSION && git push`
  - Publish to npm `npm publish`

## Questions

For questions and support please use the [Discord chat server](https://chat.vuejs.org) or [the official forum](http://forum.vuejs.org). The issue list of this repo is **exclusively** for bug reports and feature requests.

## Issues

Please make sure to read the [Issue Reporting Checklist](https://github.com/vuejs/vue/blob/dev/.github/CONTRIBUTING.md#issue-reporting-guidelines) before opening an issue. Issues not conforming to the guidelines may be closed immediately.

## Contribution

Please make sure to read the [Contributing Guide](https://github.com/vuejs/vue/blob/dev/.github/CONTRIBUTING.md) before making a pull request.

## Changelog

Details changes for each release are documented in the [`CHANGELOG.md file`](https://github.com/vuejs/qiankun-vue2-router/blob/dev/CHANGELOG.md).

## Stay In Touch

- For latest releases and announcements, follow on Twitter: [@vuejs](https://twitter.com/vuejs)

## License

[MIT](http://opensource.org/licenses/MIT)

Copyright (c) 2013-present Evan You and jser_cc
