import type {
  RawLocation,
  Route,
  RouteConfig,
  RouteRecord,
} from './router.d.ts';

export type Matcher = {
  match: (
    raw: RawLocation,
    current?: Route,
    redirectedFrom?: Location
  ) => Route;
  addRoutes: (routes: Array<RouteConfig>) => void;
  addRoute: (
    parentNameOrRoute: string | RouteConfig,
    route?: RouteConfig
  ) => void;
  getRoutes: () => Array<RouteRecord>;
};
